[mythtv] i know that qt4 is not supported

Rick Warner rick at sapphire.no-ip.com
Wed Feb 7 22:32:15 UTC 2007

On Wednesday 07 February 2007 13:04, Simon Kenyon wrote:
> Paul Catchpole wrote:
> > Simon,
> >
> > What's the bug in QT3 on Gentoo?
> >
> > I'm running Gentoo, and using SVN Myth with no patching of QT...
> >
> > Paul
> the bug is that qt builds against libmysqlclient.so instead of
> libmyqlclient_r.so
> the former is not thread safe
> without this change i get a lot (and i mean a lot) of instability.
> --
> simon

What kinds of problems were you seeing?

I also run a gentoo system, and found that my qt was linking to the non _r 
version as well.  I've been having a problem with my frontend locking up for 
5 minutes (exactly) when irsend sends a channel change command, and I wonder 
if this is the cause?  I've patched my qt, rebuilt it, and will test it out 
shortly to see if it resolves it.

More information about the mythtv-dev mailing list